/* $Id: network_udp.h 2701 2005-07-24 14:12:37Z tron $ */

#ifndef NETWORK_LAN_H
#define NETWORK_LAN_H

#ifdef ENABLE_NETWORK

void NetworkUDPInitialize(void);
bool NetworkUDPListen(SOCKET *udp, uint32 host, uint16 port, bool broadcast);
void NetworkUDPReceive(SOCKET udp);
void NetworkUDPSearchGame(void);
void NetworkUDPQueryMasterServer(void);
NetworkGameList *NetworkUDPQueryServer(const char* host, unsigned short port);
void NetworkUDPAdvertise(void);
void NetworkUDPRemoveAdvertise(void);

#endif

#endif /* NETWORK_LAN_H */
